WordPress.org

Ready to get started?Download WordPress

Plugin Directory

GSpeech - The Best Text To Speech Solution

GSpeech is a text to speech solution for WordPress! Over 5,900+ sites are already using GSpeech.

GSpeech uses Google power and allows to listen any selected text on your site. It is the best text to speech solution for WordPress. It uses Google power to provide you the best quality of automatic text to speech service. Enjoy!

See

Download the latest version

Download GSpeech from our website and enable the following features:

Features:

  • Allows to listen any text from the site.
  • Listen to selected text. Speaker will apear, when You select a part of the text.
  • Autoplay Feature. See Demo
  • Feature to set greeting audio for your users.
  • Feature to set different greetings for loged in users.
  • Speaking menus. Users can listen menus when they hover them!
  • Ability to set custom events!
  • More than 50 languages supported by Google!
  • Unlimited text to speech!
  • Place speaker wherever you want!
  • Ability to set custom style and language for each TTS block!
  • 40 speaker types!
  • Customizable TTS block styles!
  • Customizable tooltip styles!
  • Live preview in administration panel!

IMPORTANT: If you think you found a bug in GSpeech or have any problem or question concerning it, do not hesitate to contact us at info@creative-solutions.net.

Usage - Creating Text to Speech blocks.

  • Basic structure - If you want the speaker to appear after the text, do the following!
{gspeech}Text to speech{/gspeech}
  • Structure with parameters - You can specify custom styles and language for each Text to Speech block!
{gspeech style=2 language=en}Custom text to speech{/gspeech}
  • GSpeech structure with all parameters will be
{gspeech style=2 language=en autoplay=1 speechtimeout=0 registered=0 selector=anyselector event=anyevent hidespeaker=1}welcome{/gspeech}

For more details, please read the Documentation.

Support:

Please use GSpeech Forum for your questions and support requests!

Requirements

You must have curl library enabled on your hosting!

Requires: 3.5 or higher
Compatible up to: 3.9.1
Last Updated: 2014-8-1
Downloads: 5,958

Ratings

3 stars
3.8 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,2,2 100,1,1 100,1,1
100,1,1